hxt-9.3.1.22: A collection of tools for processing XML with Haskell.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.XML.HXT.Parser.ProtocolHandlerUtil

Synopsis

- parseContentType :: Parser [(String, String)]

# Documentation

parseContentType :: Parser [(String, String)] #

Try to extract charset spec from Content-Type header e.g. "text/html; charset=ISO-8859-1"

Sometimes the server deliver the charset spec in quotes these are removed